knxd (0.14.41-2) unstable; urgency=medium

  * Add salsa push

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 12 Jan 2021 10:31:53 +0100

knxd (0.14.41-1) unstable; urgency=medium

  * Merge current master

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 02 Jan 2021 18:28:26 +0100

knxd (0.14.37-1) unstable; urgency=medium

  * Merge current master

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 12 May 2020 09:22:15 +0200

knxd (0.14.36-1) unstable; urgency=medium

  * Merge current master

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 05 Apr 2020 22:09:14 +0200

knxd (0.14.35-1) unstable; urgency=medium

  * Cleanup for spurious files

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 27 Mar 2020 15:12:39 +0100

knxd (0.14.34-1) unstable; urgency=medium

  * Moved debian/ subdir to separate branch
  * Add salsa repo
  * Create upload script

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 27 Mar 2020 13:05:00 +0100

knxd (0.14.33-1) unstable; urgency=medium

  * New version.
  * No longer blocks ETS programming
  * New "retry" filter
    * restart handling removed from router
  * Bugs handling EMI shutdown+restart fixed

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 27 Mar 2020 08:25:42 +0100

knxd (0.14.31-1) unstable; urgency=medium

  * Merge a heap of changes

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 09 Feb 2020 18:41:22 +0100

knxd (0.14.30-1) unstable; urgency=medium

  * Use a constant, dammit

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 18 Mar 2019 08:54:33 +0100

knxd (0.14.29-5) unstable; urgency=medium

  * Add dependency from knxd-dev to -tools (for libeibclient.so)
    Closes:#924188

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 17 Mar 2019 16:06:48 +0100

knxd (0.14.29-3) unstable; urgency=medium

  * Remove homedir after purge. Closes: #920832

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 30 Jan 2019 14:55:52 +0100

knxd (0.14.29-2) unstable; urgency=medium

  * Path fix. Closes: #919912

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 30 Jan 2019 14:46:40 +0100

knxd (0.14.29-1) unstable; urgency=medium

  * Addressed Debian ftpmaster concerns.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 19 Jan 2019 14:35:42 +0100

knxd (0.14.28-1) unstable; urgency=medium

  * Revert debian/version uptick
  * Use native packaging

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 23 Nov 2018 07:43:27 +0100

knxd (0.14.27-2) unstable; urgency=medium

  * Test run is not authoritative
    it uses multicast, which might blocked or firewalled off

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 23 Nov 2018 07:31:06 +0100

knxd (0.14.27-1) unstable; urgency=medium

  * Fix Debian packaging issues.
    Thanks to dallmair@github.
  * Finally submit to Debian.
    Closes: #860016, #549901
  * Fix some group cache problems.
    Thanks to dallmair@github.
  * Compile fix.

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 22 Nov 2018 21:10:49 +0100

knxd (0.14.25-1) unstable; urgency=medium

  * Fix drivers:
    - registration of NCN5120
    - alias "tpuarts" for "tpuart" (the latter was listed but didn't work)

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 11 Jun 2018 10:29:50 +0200

knxd (0.14.24-3) unstable; urgency=medium

  * libfmt fetch script correction
    need to fetch before checking out 4.x branch

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 12 Feb 2018 09:45:25 +0100

knxd (0.14.24-2) unstable; urgency=medium

  * libfmt fetch script correction

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 11 Feb 2018 20:03:04 +0100

knxd (0.14.24-1) unstable; urgency=medium

  * Use 4.x branch of libfmt

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 11 Feb 2018 18:02:43 +0100

knxd (0.14.23-1) unstable; urgency=medium

  * Fix stdout/stderr redirect logic.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 20 Jan 2018 18:36:17 +0100

knxd (0.14.22-1) unstable; urgency=medium

  * Set port number in tunnel connect requests

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 08 Jan 2018 23:45:03 +0100

knxd (0.14.21-1) unstable; urgency=medium

  * Fix handling of stdin/out/err and forking

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 03 Jan 2018 13:17:14 +0100

knxd (0.14.20-1) unstable; urgency=medium

  * tpuart: retransmit buffer; fix checksum

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 31 Dec 2017 16:09:32 +0100

knxd (0.14.19-2) unstable; urgency=medium

  * Added a Requires= entry to knxd.socket

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 24 Oct 2017 00:23:12 +0200

knxd (0.14.19-1) unstable; urgency=medium

  * merged minor bug fixes

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 23 Oct 2017 07:19:06 +0200

knxd (0.14.18-1) unstable; urgency=medium

  * Fixed argument parser code.
  * Promoted to Stable.

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 21 Aug 2017 05:43:49 +0200

knxd (0.14.17-1) unstable; urgency=medium

  * Add a "remap" filter (the inverse of "single").

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 15 Aug 2017 03:40:51 +0200

knxd (0.14.16-1) unstable; urgency=medium

  * Bugfixes

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 31 May 2017 07:16:05 +0200

knxd (0.14.15-2) unstable; urgency=medium

  * Enable building without group cache

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 17 May 2017 20:04:00 +0200

knxd (0.14.15-1) unstable; urgency=medium

  * Error parsing arguments.
    Can't call va_arg after it returns NULL.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 13 May 2017 20:32:27 +0200

knxd (0.14.14-1) unstable; urgency=medium

  * Stupid error department.
  * Fix testing (somewhat)

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 12 May 2017 08:10:33 +0200

knxd (0.14.13-1) unstable; urgency=medium

  * tunnel client: Added heartbeat config options
    * including ability to turn it off
  * USB fixed
    * problems caused by recent ft12/cemi fixes

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 28 Apr 2017 21:01:10 +0200

knxd (0.14.12-1) unstable; urgency=medium

  * Report a fatal error if a link-down state causes knxd to terminate
  * Fix cross building
  * Fix libexecdir substitution
  * Fix a couple of typos
  * mention journalctl in knxd.conf comments (*sigh*)
  * drop findknxusb binary from RPM package (no longer necessary)
  * serial-port handling is more permissive of ioctl errors
  * more improvements for ft12
    * Add reset handling to EMI2
    * fix some FT1.2 corner cases regarding lost bytes

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 23 Apr 2017 10:48:18 +0200

knxd (0.14.11-1) unstable; urgency=medium

  * Merge v0.12

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 10 Apr 2017 17:41:15 +0200

knxd (0.14.10-1) unstable; urgency=medium

  * Augment the "pace" filter to also consider incoming packets
  * Add packet send retry to EMI drivers
  * Add a "send-timeout" parameter to catch hanging drivers
  * Don't overwrite eibread/write CGI programs.

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 07 Apr 2017 13:20:48 +0200

knxd (0.14.9-1) unstable; urgency=medium

  * Move low-level logging to a separate class
  * various state machine fixes
  * fixed processing of CEMI packets
  * refactored all serial interfaces to optionally run across TCP
  * fixed ft12/cemi reset handling

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 06 Apr 2017 18:00:21 +0200

knxd (0.14.8-1) unstable; urgency=medium

  * Fixed USB send timeout handling
  * Handle retries

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 28 Mar 2017 12:22:04 +0200

knxd (0.14.7-1) unstable; urgency=medium

  * Fix socket activation

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 27 Mar 2017 08:02:18 +0200

knxd (0.14.6-1) unstable; urgency=medium

  * Fix crash starting with systemd

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 26 Mar 2017 23:16:41 +0200

knxd (0.14.5-1) unstable; urgency=medium

  * Add an address= option to the "single" filter.
    * Use the address which the ipt: driver receives from the server
  * Force "pace" filter for multicast client+server
  * Fix address check bug
  * Fix argument parsing bug
  * (Hopefully) fix remaining flow control issue
  * Enhance logging
  * Various smaller stuff

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 26 Mar 2017 15:09:42 +0200

knxd (0.14.4-1) unstable; urgency=medium

  * Auto-add a pace filter in front of the multicast sender.
  * Add an address= option to the "single" filter.

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 23 Mar 2017 04:13:18 +0100

knxd (0.14.3-1) unstable; urgency=medium

  * Various bug fixes.
  * All drivers now implement flow control.
  * "pace" filter:
    * default to 20msec
    * Add a delay-per-byte parameter (1 msec)
  * log send_next stuff with layer 6
  * document flags (specifically, correspondence of flags to config file)

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 23 Mar 2017 02:48:36 +0100

knxd (0.14.2-1) unstable; urgency=medium

  * send ft12* (serial) setup string
  * fix systemd socket support
  * allow using filters on servers

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 19 Mar 2017 23:59:23 +0100

knxd (0.14.1-4) unstable; urgency=medium

  * Actually install knxd_args correctly.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 18 Mar 2017 20:44:38 +0100

knxd (0.14.1-3) unstable; urgency=medium

  * Actually install knxd_args.

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 17 Mar 2017 21:02:34 +0100

knxd (0.14.1-2) unstable; urgency=medium

  * don't install eibnet* tools
    not built at the moment

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 14 Mar 2017 23:22:00 +0100

knxd (0.14.1-1) unstable; urgency=medium

  * v0.14: "Yay, we have a config file" version
  * Generate and use a config file
  * Refactor linking drivers to the main dispatcher
  * use libfmt
    * requires git and cmake, if no libfmt3-dev is found
  * Complain if -E / client-addrs= is required but missing
  * Configuration options to not start, or start and ignore failures of, specific interfaces
  * Filters can now be applied globally
    (filters for which this does not make sense will reject this)
  * Filter logging: append the link's name for disambiguation
  * Auto-restart failing interfaces
  * "queue" filter to decouple a driver
  * "pace" filter to slow down transmission
  * Teach the send-delay option to use the "pace" filter
    * removed driver specific implementations
    * except [C]EMI[12] which is different
  * Rewrote USB and FT12 support to use "proper" stacking

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 23 Feb 2017 10:01:37 +0100

knxd (0.12.16-1) unstable; urgency=medium

  * Heartbeat counter 
  * add udev rule for MDT SCN-USBR.01
  * Add knxd.socket to knxd.service's After= stanza
  * cEMI: clear the address table

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 17 Apr 2017 09:00:47 +0200

knxd (0.12.15-2) unstable; urgency=medium

  * Merge: Add knxd.socket to knxd.service's After= stanza

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 10 Apr 2017 17:40:35 +0200

knxd (0.12.15-1) unstable; urgency=medium

  * Use a random source port for ipt:

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 12 Mar 2017 12:10:26 +0100

knxd (0.12.14-1) unstable; urgency=medium

  * eibread CGI generated syntactically wrong JSON

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 22 Feb 2017 23:42:27 +0100

knxd (0.12.13-2) unstable; urgency=medium

  * fix C# code generator

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 20 Feb 2017 03:33:26 +0100

knxd (0.12.13-1) unstable; urgency=medium

  * Fix de-allocation of tunnel client address

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 19 Feb 2017 09:02:08 +0100

knxd (0.12.12-1) unstable; urgency=medium

  * eibread-cgi: reinstate initial read (but not for all addresses)

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 10 Feb 2017 21:22:47 +0100

knxd (0.12.11-1) unstable; urgency=medium

  * eibread-cgi: old last-update reader: wraparound handled wrongly

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 10 Feb 2017 02:13:25 +0100

knxd (0.12.10-1) unstable; urgency=medium

  * stupid errors in the ncn5120 driver

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 06 Feb 2017 18:48:17 +0100

knxd (0.12.9-2) unstable; urgency=medium

  * Tell the tracer to use line-buffering on stdout/stderr.

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 06 Feb 2017 13:02:13 +0100

knxd (0.12.9-1) unstable; urgency=medium

  * Clean up tpuart code
  * support tpuart-2
    * including auto-ack mode
  * fix processing of local packets (for the group cache)

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 06 Feb 2017 00:09:21 +0100

knxd (0.12.8-1) unstable; urgency=medium

  * 0.12.7 was broken (address checking had a major bug). Sorry.

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 01 Feb 2017 04:12:01 +0100

knxd (0.12.7-1) unstable; urgency=medium

  * When an answer arrives after a local client disconnects, the source
    address was mistakenly associated with that Layer2.

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 01 Feb 2017 02:48:50 +0100

knxd (0.12.6-2) unstable; urgency=medium

  * Merge up to v0.10.18-3

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 01 Feb 2017 01:49:53 +0100

knxd (0.12.6-1) unstable; urgency=medium

  * Address filtering: packets arriving on interface A with a source
    address from interface B get dropped.

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 30 Jan 2017 11:24:52 +0100

knxd (0.12.5-1) unstable; urgency=medium

  * Group cache: add a LastUpdate2 method with a 32-bit pointer
    and use that in eibread CGI
  * fixed two server responses:
    - CEMI data confirm: don't set the source address
    - disconnect response used an incorrect channel
  * switch xPDU pointers to std::unique_ptr

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 26 Jan 2017 01:17:24 +0100

knxd (0.12.4-1) unstable; urgency=medium

  * Rewrite group cache, add optional cache-size argument
    (default: no limit).

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 23 Jan 2017 10:19:26 +0100

knxd (0.12.3-2) unstable; urgency=medium

  * The options -u and -i (without optional argument) are now ignored
    if they fail and sockets are passed in by systemd.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 21 Jan 2017 15:23:20 +0100

knxd (0.12.3-1) unstable; urgency=medium

  * Forward-ported the merge_tpuart branch:
    common code for tpuart and ncn5120 back-ends
  * merged tpuart and ncn5120 drivers

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 20 Jan 2017 19:03:32 +0100

knxd (0.12.1-3) unstable; urgency=medium

  * Merge libev branch into master.

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 17 Jan 2017 23:37:00 +0100

knxd (0.12.1-1) unstable; urgency=medium

  * Allow specifying the interface to use for multicast.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 14 Jan 2017 17:54:17 +0100

knxd (0.12.0-2) unstable; urgency=medium

  * Check for c++11 compliance.

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 13 Jan 2017 10:11:12 +0100

knxd (0.12.0-1) unstable; urgency=medium

  * libev conversion considered complete.

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 11 Jan 2017 15:36:07 +0100

knxd (0.12.0~8-1) experimental; urgency=medium

  * ETS5 with USB host adapters in tunnel mode works.
    Router mode and TPUART: not yet.

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 10 Jan 2017 04:51:24 +0100

knxd (0.12.0~7-1) experimental; urgency=medium

  * eibnettunnel now works, with the probable exception of bus monitoring.

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 08 Jan 2017 12:06:45 +0100

knxd (0.12.0~6-1) experimental; urgency=medium

  * Merge CGI fix

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 05 Jan 2017 18:16:06 +0100

knxd (0.12.0~5-1) experimental; urgency=medium

  * group cache: fixed, tested.
    TODO: add tests to the script.
  * (v)busmonitor3: Now sending somewhat-reasonable timestamps.

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 04 Jan 2017 01:26:24 +0100

knxd (0.12.0~4-1) experimental; urgency=medium

  * Removed experimental PEI16 driver.
    Porting it to libev is nontrivial and it's not being used.
  * Ported the other drivers to libev.
  * Ditto group cache. TODO: device management code.
  * Merged master (+ stable) branch.

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 03 Jan 2017 05:38:05 +0100

knxd (0.12.0~3-1) experimental; urgency=medium

  * multicast server code works.
  * ip: and ipt: back-ends compile but have not yet been tested.
  * eibnetsearch and describe tools work.
  * Found a couple of errors; see git changelog.
  * Valgrind clean. (So far.)

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 27 Dec 2016 00:17:11 +0100

knxd (0.12.0~2-1) experimental; urgency=medium

  * connection-based server code (incomplete) and TPUART now run on libev

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 24 Dec 2016 08:28:16 +0100

knxd (0.12.0~1-1) experimental; urgency=medium

  * Layer 3 now runs on libev

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 19 Dec 2016 13:08:49 +0100

knxd (0.11.18-1) unstable; urgency=medium

  * merge CGI fix

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 05 Jan 2017 18:15:10 +0100

knxd (0.11.17-1) unstable; urgency=medium

  * Plugged a memory leak.

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 04 Jan 2017 10:16:51 +0100

knxd (0.11.16-1) unstable; urgency=medium

  * Merge from stable.

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 03 Jan 2017 05:34:28 +0100

knxd (0.11.15-1) unstable; urgency=medium

  * Merge from stable

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 18 Dec 2016 16:14:28 +0100

knxd (0.11.14-1) unstable; urgency=medium

  * Merge #171: configurable send delay
    (for those interfaces which already had a delay)

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 11 Dec 2016 23:41:48 +0100

knxd (0.11.13-1) unstable; urgency=medium

  * Re-do logging
    - numbered and named channels
    - milliseconds

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 11 Dec 2016 23:41:48 +0100

knxd (0.11.12-1) unstable; urgency=medium

  * Change tpuarts baud rate
  * Merge #174: elupus:disconnect_success

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 08 Dec 2016 19:27:15 +0100

knxd (0.11.11-1) unstable; urgency=medium

  * Add tpuarts-over-tcp driver (for CUNx, busware.de)

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 08 Dec 2016 17:22:29 +0100

knxd (0.11.11-0) unstable; urgency=medium

  * Implemented a --send-delay=X option

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 02 Dec 2016 00:44:40 +0100

knxd (0.11.10-1) unstable; urgency=medium

  * Correct invalid length of L_Busmon.ind field for busmonitor mode
  * fix server crash when there's no ACK

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 27 Nov 2016 22:07:56 +0100

knxd (0.11.9-1) unstable; urgency=medium

  * removed layer2_is_bus() call

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 19 Mar 2016 15:57:35 +0100

knxd (0.11.8-2) unstable; urgency=low

  * Merged master branch up to 0.10.13-3

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 12 Mar 2016 14:55:20 +0100

knxd (0.11.8-1) unstable; urgency=medium

  * Merged master branch up to 0.10.13-2

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 11 Mar 2016 16:40:16 +0100

knxd (0.11.7-2) unstable; urgency=medium

  * Merged master branch up to 0.10.12-1

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 23 Jan 2016 15:52:06 +0100

knxd (0.11.6-1) unstable; urgency=medium

  * Merged master branch up to 0.10.11-1

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 08 Jan 2016 17:57:49 +0100

knxd (0.11.5-1) unstable; urgency=medium

  * Merged master branch up to 0.10.10-1

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 18 Nov 2015 13:40:53 +0100

knxd (0.11.4-2) unstable; urgency=medium

  * Merged master branch up to 0.10.9-3

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 12 Oct 2015 16:14:16 +0200

knxd (0.11.4-1) unstable; urgency=medium

  * Merged master branch up to 0.10.9-2

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 20 Sep 2015 16:14:50 +0200

knxd (0.11.3-1) unstable; urgency=medium

  * Default Unix socket changed to /run/knx

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 17 Sep 2015 02:22:27 +0200

knxd (0.11.2-4) unstable; urgency=medium

  * Merged

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 17 Sep 2015 02:15:36 +0200

knxd (0.11.2-3) unstable; urgency=medium

  * Merged master branch

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 10 Sep 2015 14:08:39 +0200

knxd (0.11.1-1) unstable; urgency=medium

  * Allocate remote addresses to clients
  * Refactor multicast to use a separate port for sending

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 28 Jun 2015 06:53:31 +0000

knxd (0.10.18-4) stable; urgency=medium

  * Add knxd.socket to knxd.service's After= stanza

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 10 Apr 2017 17:39:23 +0200

knxd (0.10.18-3) stable; urgency=medium

  * Fix dependency generation

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 01 Feb 2017 01:48:44 +0100

knxd (0.10.18-2) stable; urgency=medium

  * Fix version reporting

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 01 Feb 2017 01:11:59 +0100

knxd (0.10.18-1) stable; urgency=medium

  * fix USB shutdown bug

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 08 Jan 2017 12:13:50 +0100

knxd (0.10.17-1) stable; urgency=medium

  * fix eibread-cgi. I was stupid.

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 05 Jan 2017 18:13:18 +0100

knxd (0.10.16-1) unstable; urgency=medium

  * Fixed the hop count=7 problem.
    Thanks to Thomas Dallmair.
  * Enhance low-latency code to work on more systems, hopefully.
  * Added a workaround for the TPUART ACK problem.

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 03 Jan 2017 05:30:15 +0100

knxd (0.10.15-1) unstable; urgency=medium

  * Fix addressing for physically-addressed packets to tunnels

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 18 Dec 2016 14:53:56 +0100

knxd (0.10.14-3) unstable; urgency=low

  * Fix packaging, Lintian errors

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 18 Dec 2016 14:51:14 +0100

knxd (0.10.14-2) unstable; urgency=medium

  * gentoo packaging update

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 09 Dec 2016 19:38:19 +0100

knxd (0.10.14-1) unstable; urgency=medium

  * New release.

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 09 Dec 2016 16:28:09 +0100

knxd (0.10.13-3) unstable; urgency=medium

  * Typo in debian/rules

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 12 Mar 2016 14:51:46 +0100

knxd (0.10.13-2) unstable; urgency=medium

  * Fix rebuild when install-sh is missing

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 11 Mar 2016 16:19:02 +0100

knxd (0.10.13-1) unstable; urgency=medium

  * Fix systemd test
    post Jessie there is no more libsystemd-daemon

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 11 Mar 2016 15:08:45 +0100

knxd (0.10.12-1) unstable; urgency=medium

  * /run/knx, not /run/knxd

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 22 Jan 2016 14:42:58 +0100

knxd (0.10.11-2) unstable; urgency=medium

  * Fix udev installation

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 21 Jan 2016 21:07:27 +0100

knxd (0.10.11-1) unstable; urgency=medium

  * Fix the ft12 driver

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 31 Dec 2015 07:00:07 +0100

knxd (0.10.10-1) unstable; urgency=medium

  * USB HID fixes
  * allow spaces behind optional arguments ('-u /tmp/knxd')
  * warn about knxd.socket in knyd.conf [systemd]

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 18 Nov 2015 13:35:27 +0100

knxd (0.10.9-3) unstable; urgency=medium

  * Tell systemd to auto-restart knxd if it fails.

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 12 Oct 2015 16:13:17 +0200

knxd (0.10.9-2) unstable; urgency=medium

  * Added udev rule for TPUART.

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 20 Sep 2015 16:14:06 +0200

knxd (0.10.9-1) unstable; urgency=medium

  * Fix default Unix socket: /run/knx, not /run/knxd or /tmp/whatever

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 17 Sep 2015 02:51:01 +0200

knxd (0.10.8-5) unstable; urgency=medium

  * Expanded README, clarified default options.

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 17 Sep 2015 02:11:57 +0200

knxd (0.10.8-4) unstable; urgency=medium

  * Replaced Wheezy build-dependency on lsb-base with base-files (always installed)

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 16 Sep 2015 23:28:24 +0200

knxd (0.10.8-3) unstable; urgency=medium

  * aded prerm to stop knxd

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 11 Sep 2015 08:18:06 +0200

knxd (0.10.8-2) unstable; urgency=medium

  * Fix systemd setup

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 10 Sep 2015 15:41:29 +0200

knxd (0.10.8-1) unstable; urgency=medium

  * Group cache must be initialized to work correctly
  * Missing build dependencies
  * "knxtool vbusmonitor1time" fixed

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 10 Sep 2015 14:04:59 +0200

knxd (0.10.7-1) unstable; urgency=medium

  * Clean up "only-one-interface" handling.
    Routing and tunneling are separate functions, a knxd which only routes
    between these two is perfectly reasonable.

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 15 Aug 2015 10:21:03 +0200

knxd (0.10.6-1) unstable; urgency=medium

  * Fix flag handling
    Some flags were not cleared from the L2 options, causing the main code
    to conclude that they were not handled correctly.
  * Add comments to config files
  * Fix *emi USB backends
    duplicate variables

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 24 Jul 2015 03:36:08 +0200

knxd (0.10.4-1) unstable; urgency=medium

  * Clean up eibread-cgi

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 16 Jul 2015 12:00:15 +0200

knxd (0.10.3-6) unstable; urgency=medium

  * Try to install systemd support only when available
  * Default to systemd support being enabled if possible
  * Cleanup built knxd.install
  * Merge 0.9 branch
  * Fix installation conflicts

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 15 Jul 2015 23:00:55 +0200

knxd (0.10.3-1) unstable; urgency=medium

  * Fix sock->sendaddr churn.
  * Include sys/select.h if available.
  * Clean up error handling
  * Delete Unix socket after closing it.
  * Debian packaging: do create /var/lib/knxd
  * Warn about wrongly-ordered or unrecognized flag options
  * Add a rudimentary test script
  * Merge 0.9 branch

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 05 Jul 2015 19:47:26 +0200

knxd (0.10.1-2) unstable; urgency=medium

  * Merge build fixes

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 27 Jun 2015 20:26:00 +0200

knxd (0.10.1-1) unstable; urgency=medium

  * Depend on systemd library
  * Fix systemd support

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 27 Jun 2015 16:00:51 +0000

knxd (0.10.0-2) unstable; urgency=medium

  * Bug fixes

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 26 Jun 2015 08:23:17 +0000

knxd (0.10.0-1) unstable; urgency=medium

  * Initial multi-L2 version

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 26 Jun 2015 08:23:17 +0000

knxd (0.9.3-1) unstable; urgency=medium

  * Update knxtool packaging:
    - exec unknown commands from /usr/lib/knxd
    - print errors to stderr, dammit
  * restore building eib{read,write}-cgi
    - and ship them in /usr/lib/knxtool

 -- Matthias Urlichs <matthias@urlichs.de>  Tue, 14 Jul 2015 03:13:11 +0200

knxd (0.9.2-1) unstable; urgency=medium

  * Fix knxtool packaging
  * Create "home" directory
  * Accept "local:" or "ip:" as URLs
  * Use "knxtool list" to get a list of applets

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 12 Jul 2015 06:56:18 +0200

knxd (0.9.1-3) unstable; urgency=medium

  * Conflict with eibd.

 -- Matthias Urlichs <matthias@urlichs.de>  Sun, 28 Jun 2015 14:36:42 +0200

knxd (0.9.1-2) unstable; urgency=medium

  * Build fixes

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 27 Jun 2015 20:24:46 +0200

knxd (0.9.1-1) unstable; urgency=medium

  * Release. (Sort of.)
  * Bugs fixed.

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 18 May 2015 07:24:02 +0200

knxd (0.9.0-1) unstable; urgency=low

  * Initial release.

 -- Timo <knxd@timo-wingender.de>  Tue, 16 Dec 2014 12:55:54 +0100
